Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text
Class DocumentCommand

    java.lang.Object
      org.eclipse.jface.text.DocumentCommand

public class DocumentCommand
extends Object

Represents a text modification as a document replace command. The text modification is given as a `VerifyEvent` and translated into a document replace command relative to a given offset. A document command can also be used to initialize a given `VerifyEvent`.

A document command can also represent a list of related changes.

Field Summary
`int` | `caretOffset` The caret offset with respect to the document before the document command is executed.
`boolean` | `doit` Must the command be updated
`int` | `length` The length of the command
`int` | `offset` The offset of the command.
`IDocumentListener` | `owner` The owner of the document command which will not be notified.
`boolean` | `shiftsCaret` Indicates whether the caret should be shifted by this command.
`String` | `text` The text to be inserted

Constructor Summary
`protected` | `DocumentCommand()` Creates a new document command.

Method Summary
`void` | `addCommand(int offset, int length, String text, IDocumentListener owner)` Adds an additional replace command.
`int` | `getCommandCount()` Returns the number of commands including the original document command.
`Iterator` | `getCommandIterator()` Returns an iterator over the commands in ascending position order.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### doit

    public boolean doit

  Must the command be updated

### offset

    public int offset

  The offset of the command.

### length

    public int length

  The length of the command

### text

    public String text

  The text to be inserted

### owner

    public IDocumentListener owner

  The owner of the document command which will not be notified.

  Since:
    2.1

### caretOffset

    public int caretOffset

  The caret offset with respect to the document before the document command is executed.

  Since:
    2.1

### shiftsCaret

    public boolean shiftsCaret

  Indicates whether the caret should be shifted by this command.

  Since:
    3.0

Constructor Detail

### DocumentCommand

    protected DocumentCommand()

  Creates a new document command.

Method Detail

### addCommand

    public void addCommand(int offset,
                           int length,
                           String text,
                           IDocumentListener owner)
                    throws BadLocationException

  Adds an additional replace command. The added replace command must not overlap with existing ones. If the document command owner is not `null`, it will not get document change notifications for the particular command.

  Parameters:
    `offset` - the offset of the region to replace
    `length` - the length of the region to replace
    `text` - the text to replace with, may be `null`
    `owner` - the command owner, may be `null`
  Throws:
    `BadLocationException` - if the added command intersects with an existing one
  Since:
    2.1

### getCommandIterator

    public Iterator getCommandIterator()

  Returns an iterator over the commands in ascending position order. The iterator includes the original document command. Commands cannot be removed.

  Returns:
    returns the command iterator

### getCommandCount

    public int getCommandCount()

  Returns the number of commands including the original document command.

  Returns:
    returns the number of commands
  Since:
    2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.